[package]
name = "sparrow-autolib"
version = "0.3.0"
authors = ["Henry Gomersall <henry.gomersall@smartacoustics.co.uk>"]
edition = "2018"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[lib]
proc-macro = true
path = "src/lib.rs"

[dev-dependencies]
trybuild = "^1.0"
glob = "^0.3"

[dependencies]
sparrow-bitpacker = { path = "../sparrow-bitpacker" }
sparrow-registers = { path = "../sparrow-registers" }
sparrow-map-config = { path = "../sparrow-map-config" }
sparrow-raw-peripherals = { path = "../sparrow-raw-peripherals" }
quote = "^1.0"
syn = "^1.0"
proc-macro2 = "^1.0"
strict-yaml-rust = {git = "https://github.com/hgomersall/strict-yaml-rust.git"}
regex = "^1"
indexmap = "^1.3"
typenum = "^1.11"
rand = "^0.7"
lazy_static = "^1.4"
rust-crypto = "^0.2"
